Bug 889311 - Amarok may skip files when copying into collection with some tracks already present and not overwriting
Amarok may skip files when copying into collection with some tracks already p...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: amarok (Show other bugs)
17
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
: Patch, Upstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-20 13:46 EST by Dmitry Torokhov
Modified: 2013-08-01 05:34 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 05:34:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch resolving the issue for me (2.09 KB, patch)
2012-12-20 13:46 EST, Dmitry Torokhov
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 312001 None None None Never

  None (edit)
Description Dmitry Torokhov 2012-12-20 13:46:25 EST
Created attachment 666898 [details]
Patch resolving the issue for me

Description of problem:
When selecting a tree of music files and selecting "Copy to Collection" - "Local Collection" from the context menu, and choosing copying tracks without overwriting already existing files, the transfer job will end prematurely if some tracks already exist at destination.

Version-Release number of selected component (if applicable):
2.6.0

How reproducible:
Always


Steps to Reproduce:
1. Import a directory
2. Remove several files that has just been imported from the local collection
3. Try importing the same directory again
  
Actual results:
Some of the deleted files will still be missing in the local collection.

Expected Results:
Local collection should contain all tracks present in the original directory.

Additional info:

See the attached patch and analysis in KDE bugzilla.
Comment 1 Rex Dieter 2012-12-20 14:22:46 EST
thanks!

is this critical for you or ok for us to wait until amarok-2.7 lands?
Comment 2 Dmitry Torokhov 2012-12-20 14:30:28 EST
I have build my local RPM so not critical unless you are planning on updating amarok package with other critical fixes.
Comment 3 Fedora End Of Life 2013-07-03 22:51:32 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-08-01 05:34:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.